
#deleteImg {
    mix-blend-mode: multiply;
    max-height: 2vw;
    max-width: auto;
}
#editImg {
    mix-blend-mode: multiply;
    max-height: 2vw;
}
.completed span {
    color: grey;
    text-decoration: line-through;
    transition: .2s;
}
.pending {
    color: black;
}
.hiddenTodos {
    display: none;
    transition: .2s;
}
.visibleTodos {
    display: block;
    transition: .2s;
}
.btn {
    border: none;
    border-radius: 20px;
    cursor: pointer;
}
.popupHidden {
    display: none;
}
.popupVisible{
    z-index: 1;
    display: flex;
    justify-content: center;
    align-content: center;

}
#saveIndicator {
    color: grey;
}
#app{
    padding-left: 10vw;
    padding-right: 10vw;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}
#todoDivInternal {
    display: grid;
    grid-template-columns: 1fr 5fr 3vw 7em;
    column-gap: 5px;
    width: 100%;
    height: auto;
    font-size: 1.5vw;
    margin-bottom: 10px;
    background-color: rgb(235, 235, 235);
    border-radius: 1vw;
    z-index: -1;
}

#todoMessage {
    width: 100%;
    height: 3vw;
    word-break: break-all;
    overflow: auto;
    display: flex;
    align-items: center;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}
#editBtn {
    background-color: lightblue;
    transition: .2s;
    border-end-end-radius: 1vw;
    border-top-right-radius: 1vw;
}
#editBtn:hover {
    background-color: rgb(107, 165, 201);
    transition: .2s;
}
#removeBtn {
    background-color: white;
    transition: .2s;
    font-size: 100%;
}
#removeBtn:hover {
    background-color: #FF4858;
    transition: .2s;
}
#title {
    padding: 1%;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-variant: small-caps;
    font-size: 4vw;
}

#addTodo {
    font-size: 2vw;
    width: 5vw;
    transition: .2s;
    color: white;
    background-color: #00CCC0;
}
#addTodo:hover {
    background-color: #1B7F79;
    color: white;
    transition: .2s;
}
#chkbx {
    accent-color: #00CCC0;
    transition: .2s;
    color: white;
}
#chkbx:hover {
    transition: .2s;
}
#filter {
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 1vw;
    padding-left: 1%;
}
.popupVisible {
    display: flex; 
    justify-content: center;
    align-content: center;
    align-items: center;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto; 
    background-color: rgba(7, 56, 32, 0.74);
  }
.popupContent {
    width: 20vw;
    height: 10vw;
    background-color: #00CCC0;
    padding: 4vw;
    border-radius: 3vw;
    font-weight: bold;
    font-size: 2vw;
    display: flex;
    flex-direction: column;
    justify-items: center;
    align-items: center;
    justify-content: space-between;
    color: white;
}
.popupButtons button {
    margin: .4vw;
    padding: .4vw;
    font-size: 2vw;
    transition: .2s;
    background-color: #1B7F79;
    color: white;
}
.popupButtons button:hover {
    background-color: #156661;
    transition: .2s;
    color: white;
}

#inputTodo {
    border: none;
    height: fit-content;
    font-size: 2vw;
}

